=== debian/changelog ===
swift-im (2.0~beta1+dev26-1) unstable; urgency=low

  * Initial release. Closes: #631002
  * Thanks to Olly Betts <olly@survex.com>

 -- Kevin Smith <kevin@kismith.co.uk>  Wed, 25 Apr 2012 09:55:52 -0000
