=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYTHONDONTWRITEBYTECODE=1

SCONS_FLAGS=V=1 optimize=1 debug=1 allow_warnings=1 swiften_dll=1 qt=/usr/share/qt4 docbook_xsl=/usr/share/xml/docbook/stylesheet/docbook-xsl docbook_xml=/usr/share/xml/docbook/schema/dtd/4.5 

clean: 
	dh_testdir
	dh_clean
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) SWIFT_INSTALLDIR=$(CURDIR)/debian/tmp/usr SWIFTEN_INSTALLDIR=$(CURDIR)/debian/tmp/usr -c
	-rm -rf .scon*
	-rm -rf config.log

configure:

build: configure
	dh_testdir
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) Swift Swiften

install: build
	dh_testroot
	dh_prep  
	dh_installdirs
	scons $(SCONS_FLAGS) $(SCONS_EXTRA_FLAGS) SWIFT_INSTALLDIR=$(CURDIR)/debian/tmp/usr SWIFTEN_INSTALLDIR=$(CURDIR)/debian/tmp/usr $(CURDIR)/debian/tmp

binary-indep: install
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman -a
	dh_link
	dh_strip --dbg-package=swift-im-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build
.PHONY: build clean binary-indep binary-arch binary install configure build-arch build-indep
