=== debian/changelog ===
swift-im (2.0~beta1+dev47-1) unstable; urgency=low

  * Update from upstream.
  * Rename /usr/bin/swift binary to not conflict with other package. Closes: #674504

 -- Kevin Smith <kevin@kismith.co.uk>  Tue, 12 Jun 2012 19:25:12 -0000
