=== BuildTools/SCons/SConstruct ===
--- 
+++ 
@@ -71,8 +71,6 @@
 # Platform configuration
 ################################################################################
 
-env.Append(CPPPATH = [root])
-
 if ARGUMENTS.get("force-configure", 0) :
   SCons.SConf.SetCacheMode("force")
 
@@ -133,7 +131,6 @@
 # Boost
 boost_conf_env = conf_env.Clone()
 boost_flags = {}
-boost_flags["CPPDEFINES"] = [("BOOST_FILESYSTEM_VERSION", "2")]
 if env.get("boost_libdir", None) :
 	boost_flags["LIBPATH"] = [env["boost_libdir"]]
 if env.get("boost_includedir", None) :
@@ -342,3 +339,8 @@
 	#if conf.CheckCHeader("miniupnpc.h") and conf.CheckLib(env["libminiupnpc_libname"]) :
 	#	print "NOT IMPLEMENTED YET"
 	#else :
+	env["LIBMINIUPNPC_BUNDLED"] = 1
+	#conf.Finish()
+else :
+	env["LIBMINIUPNPC_FLAGS"] = {}
+
