## swift-im 3.0.4

=== BuildTools/SCons/SConstruct ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	if not keywords.get("test_only", False) or env["TEST"] :
 		return apply(oldSConscript, arguments, keywords)
 env.SConscript = SConscript
-  
+
 ################################################################################
 # Extend the default build environment (not affecting the configure env)
 #
@@ -33,7 +33,7 @@
 		suffix = "\033[0m"
 	return "  " + prefix + command + suffix + " " + target
 
-if int(ARGUMENTS.get("V", 0)) == 0:
+if int(ARGUMENTS.get("V", 0)) == 0 and not ARGUMENTS.get("dump_trace", False) :
 	env["CCCOMSTR"] = colorize("CC", "$TARGET", "green")
 	env["SHCCCOMSTR"] = colorize("CC", "$TARGET", "green")
 	env["CXXCOMSTR"] = colorize("CXX", "$TARGET", "green")
@@ -42,6 +42,7 @@
 	env["SHLINKCOMSTR"] = colorize("LINK", "$TARGET", "red")
 	env["ARCOMSTR"] = colorize("AR", "$TARGET", "red")
 	env["RANLIBCOMSTR"] = colorize("RANLIB", "$TARGET", "red")
+	env["PCHCOMSTR"] = colorize("PCH", "$TARGET", "blue")
 	env["QT4_RCCCOMSTR"] = colorize("RCC", "$TARGET", "blue")
 	env["QT4_UICCOMSTR"] = colorize("UIC", "$TARGET", "blue")
 	env["QT4_MOCFROMHCOMSTR"] = colorize("MOC", "$TARGET", "blue")
@@ -72,7 +73,7 @@
 ################################################################################
 
 if ARGUMENTS.get("force-configure", 0) :
-  SCons.SConf.SetCacheMode("force")
+	SCons.SConf.SetCacheMode("force")
 
 def CheckPKG(context, name):
 	context.Message( 'Checking for package %s... ' % name )
@@ -82,6 +83,12 @@
 
 def CheckVersion(context, library, version, define, header, value) :
 	context.Message("Checking " + library + " version (>= " + version + ") ...")
+	version = GetVersion(context, define, header)
+	ok = version >= value
+	context.Result(ok)
+	return ok
+
+def GetVersion(context, define, header, extension = ".c") :
 	ret = context.TryRun("""
 #include <%(header)s>
 #include <stdio.h>
@@ -90,10 +97,12 @@
 	printf("%%d\\n", %(define)s);
 	return 0;
 }
-""" % { "header" : header, "define": define }, ".c")
-	ok = ret[0] and int(ret[1]) >= value
-	context.Result(ok)
-	return ok
+""" % { "header" : header, "define": define }, extension)
+	if ret[0] :
+		return int(ret[1])
+	else :
+		return -1
+
 
 conf = Configure(conf_env)
 
@@ -102,8 +111,27 @@
 	Exit(1)
 
 env["HAVE_ZLIB"] = True
-if conf.CheckLib("z") :
-	env["ZLIB_FLAGS"] = {"LIBS": ["z"]}
+zlib_flags = {}
+zlib_okay = False
+if env.get("zlib_libdir", None) :
+	zlib_flags["LIBPATH"] = [env["zlib_libdir"]]
+	zlib_okay = True
+if env.get("zlib_includedir", None) :
+	zlib_flags["CPPPATH"] = [env["zlib_includedir"]]
+	zlib_okay = True
+if env.get("zlib_libfile", None) :
+	zlib_flags["LIBS"] = [File(env["zlib_libfile"])]
+	zlib_okay = True
+elif zlib_okay :
+	zlib_flags["LIBS"] = ["z"]
+if (not zlib_okay) and conf.CheckLib("z") :
+	zlib_flags["LIBS"] = ["z"]
+	zlib_okay = True
+if zlib_okay :
+	env["ZLIB_FLAGS"] = zlib_flags
+elif not env.get("zlib_bundled_enable", True) :
+	print "Error: Zlib not found and zlib_bundled_enable is false"
+	Exit(1)
 else :
 	env["ZLIB_BUNDLED"] = True
 
@@ -123,9 +151,10 @@
 if conf.CheckLib("c") :
 	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["c"]
 
-if conf.CheckLib("stdc++") :
-	env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["stdc++"]
-
+# Even if you find stdc++ on HP-UX, it is the wrong one for aCC
+if env["PLATFORM"] != "hpux" :
+	if conf.CheckLib("stdc++", language='CXX') :
+		env["PLATFORM_FLAGS"]["LIBS"] = env["PLATFORM_FLAGS"].get("LIBS", []) + ["stdc++"]
 conf.Finish()
 
 # Boost
@@ -134,7 +163,7 @@
 if env.get("boost_libdir", None) :
 	boost_flags["LIBPATH"] = [env["boost_libdir"]]
 if env.get("boost_includedir", None) :
-	if env["PLATFORM"] == "win32" :
+	if env["PLATFORM"] == "win32" or env["PLATFORM"] == "hpux" or env["PLATFORM"] == "sunos" :
 		boost_flags["CPPPATH"] = [env["boost_includedir"]]
 	else :
 		# Using isystem to avoid getting warnings from a system boost
@@ -142,7 +171,7 @@
 		boost_flags["CPPFLAGS"] = [("-isystem", env["boost_includedir"])]
 boost_conf_env.MergeFlags(boost_flags)
 conf = Configure(boost_conf_env)
-boostLibs = [("signals", None), ("thread", None), ("regex", None), ("program_options", None), ("filesystem", None), ("system", "system/system_error.hpp"), ("date_time", "date_time/date.hpp")]
+boostLibs = [("signals", None), ("system", "system/system_error.hpp"), ("thread", None), ("regex", None), ("program_options", None), ("filesystem", None), ("serialization", "archive/text_oarchive.hpp"), ("date_time", "date_time/date.hpp")]
 allLibsPresent = True
 libNames = []
 for (lib, header) in boostLibs :
@@ -155,19 +184,24 @@
 		break
 	if env["PLATFORM"] != "win32" :
 		libName = "boost_" + lib
-		if not conf.CheckLib(libName) :
+		if not conf.CheckLib(libName, language='CXX') :
 			libName += "-mt"
-			if not conf.CheckLib(libName) :
+			if not conf.CheckLib(libName, language='CXX') :
 				allLibsPresent = False
 				break
 		libNames.append(libName)
 if allLibsPresent :
+	boost_flags["CPPDEFINES"] = ["BOOST_SIGNALS_NO_DEPRECATION_WARNING"]
 	env["BOOST_FLAGS"] = boost_flags
 	if env["PLATFORM"] != "win32" :
 		env["BOOST_FLAGS"].update({"LIBS": libNames})
 	if not conf.CheckCXXHeader("boost/uuid/uuid.hpp") :
 		# FIXME: Remove this workaround when UUID is available in most distros
 		env["BOOST_BUNDLED_UUID_ONLY"] = True
+		env["BOOST_FLAGS"]["CPPDEFINES"] = ["BOOST_SIGNALS_NO_DEPRECATION_WARNING"]
+elif not env.get("boost_bundled_enable", True) :
+	print "Error: Boost not found and boost_bundled_enable is false"
+	Exit(1)
 else :
 	env["BOOST_BUNDLED"] = True
 conf.Finish()
@@ -190,7 +224,7 @@
 
 # GConf
 env["HAVE_GCONF"] = 0
-if env["PLATFORM"] != "win32" and env["PLATFORM"] != "darwin" :
+if env.get("try_gconf", True) and env["PLATFORM"] != "win32" and env["PLATFORM"] != "darwin" :
 	gconf_env = conf_env.Clone()
 	conf = Configure(gconf_env, custom_tests = {"CheckPKG": CheckPKG})
 	if conf.CheckPKG("gconf-2.0") :
@@ -251,24 +285,28 @@
 
 # LibXML
 conf = Configure(conf_env, custom_tests = {"CheckVersion": CheckVersion})
-if conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
+if env.get("try_libxml", True) and conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
 #and conf.CheckVersion("LibXML", "2.6.23", "LIBXML_VERSION", "libxml/xmlversion.h", 20623) :
 	env["HAVE_LIBXML"] = 1
 	env["LIBXML_FLAGS"] = { "LIBS": ["xml2"] }
 conf.Finish()
 
-if not env.get("HAVE_LIBXML", 0) :
+if env.get("try_libxml", True) and not env.get("HAVE_LIBXML", 0) :
 	libxml_env = conf_env.Clone()
 	libxml_env.Append(CPPPATH = ["/usr/include/libxml2"])
 	conf = Configure(libxml_env, custom_tests = {"CheckVersion": CheckVersion})
 	if conf.CheckCHeader("libxml/parser.h") and conf.CheckLib("xml2") :
 #	and conf.CheckVersion("LibXML", "2.6.23", "LIBXML_VERSION", "libxml/xmlversion.h", 20623):
 		env["HAVE_LIBXML"] = 1
-		env["LIBXML_FLAGS"] = { "CPPPATH": ["/usr/include/libxml2"], "LIBS": ["xml2"] }
+		libxml_env.Append()
+		if os.path.basename(env["CC"]) in ("clang", "gcc"):
+			env["LIBXML_FLAGS"] = { "CXXFLAGS": ["-isystem/usr/include/libxml2"], "LIBS": ["xml2"] }
+		else:
+			env["LIBXML_FLAGS"] = { "CPPPATH": ["/usr/include/libxml2"], "LIBS": ["xml2"] }
 	conf.Finish()
 
 # Expat
-if not env.get("HAVE_LIBXML",0) :
+if env.get("try_expat", True) and not env.get("HAVE_LIBXML",0) :
 	expat_conf_env = conf_env.Clone()
 	expat_flags = {}
 	if env.get("expat_libdir", None) :
@@ -292,55 +330,3 @@
 	env["EXPAT_BUNDLED"] = True
 
 ################################################################################
-# IDN library
-################################################################################
-
-# ICU
-icu_env = conf_env.Clone()
-use_icu = bool(env["icu"])
-icu_prefix = env["icu"] if isinstance(env["icu"], str) else ""
-icu_flags = {}
-if icu_prefix :
-	icu_flags = { "CPPPATH": [os.path.join(icu_prefix, "include")] }
-	icu_flags["LIBPATH"] = [os.path.join(icu_prefix, "lib")]
-	icu_env.MergeFlags(icu_flags)
-
-icu_conf = Configure(icu_env)
-if use_icu and icu_conf.CheckCHeader("unicode/usprep.h") :
-	env["HAVE_ICU"] = 1
-	env["ICU_FLAGS"] = icu_flags
-	env["ICU_FLAGS"]["LIBS"] = ["icuuc"]
-icu_conf.Finish()
-
-# LibIDN
-libidn_conf_env = conf_env.Clone()
-libidn_flags = {}
-if env.get("libidn_libdir", None) :
-	libidn_flags["LIBPATH"] = [env["libidn_libdir"]]
-if env.get("libidn_includedir", None) :
-	libidn_flags["CPPPATH"] = [env["libidn_includedir"]]
-libidn_conf_env.MergeFlags(libidn_flags)
-conf = Configure(libidn_conf_env)
-if not env.get("HAVE_ICU") and conf.CheckCHeader("idna.h") and conf.CheckLib(env["libidn_libname"]) :
-	env["HAVE_LIBIDN"] = 1
-	env["LIBIDN_FLAGS"] = { "LIBS": [env["libidn_libname"]] }
-	env["LIBIDN_FLAGS"].update(libidn_flags)
-conf.Finish()
-
-# Fallback to bundled LibIDN
-if not env.get("HAVE_ICU", False) and not env.get("HAVE_LIBIDN", False) :
-	env["HAVE_LIBIDN"] = 1
-	env["LIBIDN_BUNDLED"] = 1
-
-# LibMiniUPnPc
-if env["experimental"] :
-	#libminiupnpc_conf_env = conf_env.Clone()
-	#conf = Configure(libminiupnpc_conf_env)
-	#if conf.CheckCHeader("miniupnpc.h") and conf.CheckLib(env["libminiupnpc_libname"]) :
-	#	print "NOT IMPLEMENTED YET"
-	#else :
-	env["LIBMINIUPNPC_BUNDLED"] = 1
-	#conf.Finish()
-else :
-	env["LIBMINIUPNPC_FLAGS"] = {}
-
