=== debian/changelog ===
swift-im (3.0.4-1build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:21 +0000

swift-im (3.0.4-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:24:47 +0000

swift-im (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Allow compiling with newer boosts. Closes: 810839, 822131
  * Switch to Qt5 instead of Qt4. Closes: 784532, 745807
  * Fix some platform detection in build system. Closes: 757554
  * Rewrite rules file with dh sequencer.
  * Drop -dbg package.

 -- Kevin Smith <kevin@kismith.co.uk>  Fri, 03 Jun 2016 15:56:20 +0100
