=== debian/control ===
Source: swift-im
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Swift Package Maintainer <packages@swift.im>
Uploaders: Remko Tronçon <dev@el-tramo.be>, Kevin Smith <kevin@kismith.co.uk>
Build-Depends: debhelper (>= 9), scons (>= 1.2.0), libssl-dev (>= 0.9.8g), qtbase5-dev (>= 5.0.0), qtchooser, qtbase5-dev-tools (>= 5.0.0), libqt5x11extras5-dev (>= 5.0.0), libqt5webkit5-dev (>= 5.0.0), qtmultimedia5-dev (>=5.0.0), qttools5-dev-tools (>=5.0.0), libxml2-dev (>= 2.7.6), libxss-dev (>= 1.2.0), libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-program-options-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-system-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1), libidn11-dev (>= 1.10), docbook-xsl (>= 1.75.0), docbook-xml (>= 4.5), xsltproc, libxml2-utils, libnatpmp-dev, libminiupnpc-dev, libsqlite3-dev
Standards-Version: 3.9.8
Vcs-Git: git://swift.im/swift
Vcs-Browser: http://swift.im/git/swift
Homepage: http://swift.im

Package: libswiften3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XMPP library
 Swiften is a robust, high-quality, standards-compliant, cross-platform,
 and performant C++ library for implementing XMPP applications. Swiften
 is used as the back-end library for the Swift Instant Messaging client.

Package: libswiften-dev
Architecture: any
Section: libdevel
Depends: libswiften3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libboost-dev (>= 1.34.1), libboost-filesystem-dev (>= 1.34.1), libboost-regex-dev (>= 1.34.1), libboost-signals-dev (>= 1.34.1), libboost-thread-dev (>= 1.34.1), libboost-date-time-dev (>= 1.34.1)
Description: XMPP library (development files)
 Swiften is a robust, high-quality, standards-compliant, cross-platform,
 and performant C++ library for implementing XMPP applications. Swiften
 is used as the back-end library for the Swift Instant Messaging client.
 .
 This package contains the header development files and programs for
 developing with Swiften.

Package: swift-im
Architecture: any
Depends: libswiften3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: easy to use Jabber/XMPP chat client
 Swift is a free instant messaging client. It concentrates on making
 the most-used features easily accessible, supporting
 internationalisation, private and group chats, together with features
 for security-conscious organisations including Security Labelling.
 .
 Swift uses the XMPP protocol and so supports both the public Jabber
 network and closed XMPP services, such as those found in many
 organisations.
